.day-planning {
  @extend %flexbox;
  @include flex(none);
  @include align-items(baseline);
  width: 100%;
  padding-bottom: 20px;
  .day-planning-date {
    margin-right: 20px;
    position: sticky;
    top: 60px;
    @include flex-basis(30px);
    .date-num {
      font-size: 26px;
    }
    div:last-child {
      font-size: 15px;
    }
  }
  .planning-events {
    @include flex(1);
  }
}

@mixin event($inter-type, $inter-color, $inter-icon) {
  &.type-#{$inter-type} {
    .block-event-header {
      background-color: $inter-color;
      .event-type-icon {
        background-image: url("#{$inter-icon}");
        background-repeat: no-repeat;
        width: $block-event-type-icon-width;
        height: $block-event-type-icon-height;
      }
    }
    .block-event-content {
      .event-schedule {
        color: $inter-color;
      }
    }
  }
}

.block-event {
  position: relative;
  &.finish {
    &:before {
      content: "\E959";
      font-size: 44px;
      position: absolute;
      @extend %flexbox;
      @include align-items(center);
      @include justify-content(center);
      color: #fff;
      z-index: 9999;
      z-index: 9999;
      width: 100%;
      height: 100%;
      font-family: quote($font-icon);
    }
    &:after {
      content:"";
      width: 100%;
      height: 100%;
      background: rgba(#000, .4);
      position: absolute;
      z-index: 999;
      left: 0;
      top: 0;
    }
  }

  @include flex-direction(column);
  @include align-items(stretch);
  width: 100%;
  background-color: $block-event-bg-color;
  box-shadow: $block-event-shadow;
  border-radius: $block-event-radius;
  margin: $block-event-margin;
  overflow: hidden;
  @include event($inter-type: RDF, $inter-color: #8585bf, $inter-icon: "../images/icon-RDF.svg");
  @include event($inter-type: DDE, $inter-color: #199cb8, $inter-icon: "../images/icon-DDE.svg");
  @include event($inter-type: DEC, $inter-color: #e43e1c, $inter-icon: "../images/icon-DEC.svg");
  @include event($inter-type: TAG, $inter-color: #ef8c33, $inter-icon: "../images/icon-TAG.svg");
  .block-event-header {
    @extend %flexbox;
    @include align-items(stretch);
    font-size: $block-event-header-size;
    font-weight: $block-event-header-weight;
    color: $block-event-header-color;
    padding: $block-event-header-padding;
    .event-icon {
      @extend %flexbox;
      @include align-items(center);
      margin: $block-event-type-icon-margin;
      padding: $block-event-type-icon-padding;
      border-width: $block-event-type-icon-border-width;
      border-style: $block-event-type-icon-border-style;
      border-color: $block-event-type-icon-border-color;
      .event-type-icon {
        @extend %flexbox;
      }
    }
    .event-title {
      @extend %flexbox;
      @include align-items(center);
      @include justify-content(space-between);
      @include flex-wrap(wrap);
      @include flex(1);
      span:first-child { margin-right: 10px; }
      span:last-child { font-size: 14px; }
    }
  }
  .block-event-content {
    @extend %flexbox;
    @include align-items(center);
    @include flex-wrap(wrap);
    padding: $block-event-content-padding;
    font-size: $block-event-content-size;
    span { @extend %flexbox; }
    .block-infos {
      @include flex-direction(column);
      @include flex(1);
      margin-right: 30px;
      span { white-space: nowrap; }
      .event-adress {
        margin: 6px 0;
        white-space: pre-line;
      }
    }
    .event-techs {
      @extend %flexbox;
      margin-left: 10px;
      .user-avatar-block {
        margin-left: -10px;
        width: 42px;
        height: 42px;
        > div {
          border: 3px solid #fff;
        }
        > div.user-initial {
          font-size: 14px;
          background-color: #bbb;
        }
      }
    }
  }
}
